## gretl 1.9.14

=== win32/Makefile ===
# This makefile can be used for cross-compiling gretl for Windows
# on Linux, or for a native build on MS Windows.  In both cases we
# assume that the mingw compiler is used.  The build type is
# controlled by the BUILDTYPE variable in config.mk, included
# below.

include config.mk

# directories
topsrc = ..
libsrcdir  = $(topsrc)/lib/src
plugindir = $(topsrc)/plugin
zipdir = $(topsrc)/plugin/zipunzip
guidir = $(topsrc)/gui2
imports = ./import-libs
host_builddir = $(topsrc)/build

# tools (can add -fopenmp to CC if wanted)
CC = $(MGW_PREFIX)gcc -msse2 -fopenmp -Wall -O2 -mms-bitfields -DWIN32
AS = $(MGW_PREFIX)as
DLLWRAP = $(MGW_PREFIX)dllwrap
DLLWRAP_FLAGS = --as=$(AS) --export-all --driver-name $(CC) -s
RC = $(MGW_PREFIX)windres
RCFLAGS = --define __WIN32__ --define __WIN95__ --define MSRC \
	--define __GNUWIN32__

# libraries
GTKLIBS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs gtk+-win32-2.0)
GLIBLIB := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs glib-2.0)
CLI_LIBS = -lreadline -lhistory
GUI_LIBS = -lwsock32 -lole32 $(GTKLIBS) -lgtksourceview-2.0 -lxml2.dll -L$(imports)
GRETLLIB = -L$(imports) -lgretl -lintl
LIBS = -lm $(GRETLLIB) -ladvapi32
LAPACK_LIBS = -llapack.dll -lblas.dll
FFTW_LIBS = -lfftw3
CURL_LIBS = -lcurl.dll

# flags/defines
CFLAGS = -I. -I$(libsrcdir) -I$(plugindir) -I$(guidir) -I$(zipdir) -I$(XML2_INC) $(RLIB_CFLAGS) 
GTK_CFLAGS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --cflags gtk+-win32-2.0 gtksourceview-2.0)

ifeq ($(BUILDTYPE),cross)
  GRETL_LANG = cross_lang
  BUILDDATE = cross_builddate
else
  GRETL_LANG = native_lang
  BUILDDATE = native_builddate
endif

# source paths
vpath %.c $(libsrcdir)
vpath %.c $(topsrc)/cephes
vpath %.c $(topsrc)/minpack
vpath %.c $(topsrc)/cli
vpath %.c $(guidir)
vpath %.c $(plugindir)
vpath %.c $(plugindir)/libole2
vpath %.c $(plugindir)/zipunzip
vpath %.c $(plugindir)/rq
vpath %.c $(topsrc)/tests
vpath %.h $(libsrcdir):$(topsrc)/cli:$(guidir):$(plugindir):.
vpath %.h $(topsrc)/cephes:..
vpath %.rc $(topsrc)/win32

#### End of system configuration section. ####

PLUGINSRC = \
	arbond.c \
	excel_import.c \
	xlsx_import.c \
	gnumeric_import.c \
	eviews_import.c \
	stata_import.c \
	spss_import.c \
	sas_import.c \
	jmulti_import.c \
	ods_import.c \
	johansen.c \
	jrestrict.c \
	jalpha.c \
	kernel.c \
	vif.c \
	leverage.c \
	mp_ols.c \
	pca.c \
	progress_bar.c \
	range-mean.c \
	fractals.c \
	poisson.c \
	duration.c \
	stats_tables.c \
	sysest.c \
	fiml.c \
	liml.c \
	tramo_options.c \
	tramo-x12a.c \
	nistcheck.c \
	arma_cml.c \
	arma_init.c \
	arma.c \
        arma_x12.c \
	workbook.c \
	mod_garch.c \
	fcp.c \
	garch.c \
        audio.c \
	urcdist.c \
	gretlzip.c \
	heckit.c \
	odbc_import.c \
	quantreg.c \
	interval.c \
	anova.c \
	biprobit.c \
	reprobit.c

PLUGINOBJ = $(PLUGINSRC:.c=.o)

PLUGINS = plugins/stats_tables.dll \
	plugins/progress_bar.dll \
	plugins/gnumeric_import.dll \
	plugins/eviews_import.dll \
	plugins/excel_import.dll \
	plugins/xlsx_import.dll \
	plugins/stata_import.dll \
	plugins/spss_import.dll \
	plugins/sas_import.dll \
	plugins/jmulti_import.dll \
	plugins/ods_import.dll \
	plugins/mp_ols.dll \
	plugins/sysest.dll \
	plugins/johansen.dll \
	plugins/kernel.dll \
	plugins/arbond.dll \
	plugins/arma.dll \
	plugins/arma_x12.dll \
	plugins/range-mean.dll \
	plugins/fractals.dll \
	plugins/poisson.dll \
	plugins/duration.dll \
	plugins/tramo-x12a.dll \
	plugins/leverage.dll \
	plugins/pca.dll \
	plugins/nistcheck.dll \
	plugins/garch.dll \
        plugins/audio.dll \
	plugins/vif.dll \
	plugins/urcdist.dll \
	plugins/gretlzip.dll \
	plugins/heckit.dll \
	plugins/odbc_import.dll \
	plugins/quantreg.dll \
	plugins/interval.dll \
	plugins/anova.dll \
	plugins/interpolate.dll \
	plugins/biprobit.dll \
	plugins/reprobit.dll \
	plugins/panurc.dll

LIBSRC = adf_kpss.c \
	bhhh_max.c \
	bootstrap.c \
	boxplots.c \
	calendar.c \
	compare.c \
	compat.c \
	csvdata.c \
	dataio.c \
	dataset.c \
	dbread.c \
	dbwrite.c \
	describe.c \
        discrete.c \
	estimate.c \
	flow_control.c \
	forecast.c \
	geneval.c \
	genfuncs.c \
	genlex.c \
	genmain.c \
	gensyntax.c \
        gmm.c \
	graphing.c \
	gretl_bfgs.c \
	gretl_bundle.c \
	gretl_commands.c \
	gretl_data_io.c \
	gretl_errors.c \
	gretl_fft.c \
	gretl_foreign.c \
	gretl_func.c \
	gretl_intl.c \
	gretl_list.c \
	gretl_matrix.c \
	gretl_model.c \
	gretl_panel.c \
	gretl_paths.c \
	gretl_prn.c \
	gretl_restrict.c \
	gretl_string_table.c \
	gretl_untar.c \
	gretl_utils.c \
	gretl_win32.c \
	gretl_www.c \
	gretl_xml.c \
	gretl_zip.c \
	interact.c \
	kalman.c \
	libglue.c \
	libset.c \
	matrix_extra.c \
	missing.c \
	modelprint.c \
	monte_carlo.c \
	nls.c \
	nonparam.c \
	objstack.c \
	options.c \
	plotspec.c \
	plugins.c \
	printout.c \
	printscan.c \
	pvalues.c \
	qr_estimate.c \
	random.c \
	strutils.c \
	subsample.c \
	system.c \
	texprint.c \
	transforms.c \
	tsls.c \
        usermat.c \
	uservar.c \
	var.c \
	varprint.c \
	vartest.c \
	irfboot.c

LIBOBJ = $(LIBSRC:.c=.o)

CLISRC = gretlcli.c complete.c 

CLIOBJ = $(CLISRC:.c=.o)

GUISRC = about.c \
	calculator.c \
	callbacks.c \
	cmdstack.c \
	console.c \
	database.c \
	datafiles.c \
	datawiz.c \
	dialogs.c \
	dlgutils.c \
	filelists.c \
	fileselect.c \
	filters.c \
	fncall.c \
	fnsave.c \
	gpt_control.c \
	gpt_dialog.c \
	graphics.c \
	graph_page.c \
	gretl.c \
	gretlwin32.c \
	gretl_ipc.c \
	guiprint.c \
	gui_recode.c \
	gui_utils.c \
	helpfiles.c \
	lagpref.c \
	library.c \
	menustate.c \
	model_table.c \
	objectsave.c \
	obsbutton.c \
	selector.c \
	series_view.c \
	session.c \
	settings.c \
	ssheet.c \
	tabwin.c \
	textbuf.c \
	textutil.c \
	toolbar.c \
	treeutils.c \
	update.c \
	varinfo.c \
	winstack.c

ifeq ($(HAVE_GTK_SPINNER),no)
  GUISRC += spinner.c
endif

GUIOBJ = $(GUISRC:.c=.o)

PROBSRC = airy.c const.c hyp2f1.c igami.c j1.c kn.c pdtr.c struve.c \
	bdtr.c expx2.c hyperg.c incbet.c jn.c mtherr.c polevl.c unity.c \
	btdtr.c fdtr.c i0.c incbi.c jv.c  nbdtr.c polrt.c yn.c \
	chbevl.c gamma.c i1.c iv.c k0.c kv.c ndtr.c psi.c \
	chdtr.c gdtr.c igam.c j0.c k1.c ndtri.c stdtr.c

PROBOBJ = $(PROBSRC:.c=.o)

MINSRC = chkder.c enorm.c fdjac2.c lmder1.c lmder.c lmdif.c lmpar.c \
	qrfac.c qrsolv.c lbfgsb.c
MINOBJ = $(MINSRC:.c=.o)

OBJS = $(LIBOBJ) $(CLIOBJ) $(GUIOBJ) $(PLUGINOBJ)

MOFILES = mo/de.po mo/el.mo mo/es.mo mo/eu.mo mo/fr.mo mo/it.mo mo/pl.mo \
	mo/pt.mo mo/ru.mo mo/rw.mo mo/tr.mo mo/cs.mo mo/sq.mo

%.o: %.c
	$(CC) -c $(GTK_CFLAGS) $(CFLAGS) $<
	$(CC) -MM $(GTK_CFLAGS) $(CFLAGS) $< > $*.d 

# targets begin

all: buildstamp dirs dlls/libprob.dll dlls/libgretl.dll \
	$(PLUGINS) gretlcli.exe gretl.exe $(MOFILES) $(GRETL_LANG) gretl_updater.exe

gretlcli.exe: $(CLIOBJ)
	$(CC) -o $@ $^ $(LIBS) $(CLI_LIBS) -lz -lmingwex -s

gretl.exe: $(GUIOBJ) gretlres.o
	$(CC) -mwindows -o $@ $^ $(LIBS) $(GUI_LIBS) -lz -lmingwex -s

gretlres.o: gretl.rc 
	$(RC) $(RCFLAGS) $< $@

cross_lang: $(libsrcdir)/options.c $(libsrcdir)/genlex.c $(libsrcdir)/gretl_commands.c
	HERE=$$PWD ; cd $(host_builddir)/gui2 && make mklang && ./mklang > $$HERE/gretl.lang ; cd $$HERE

mklang.o: mklang.c $(libsrcdir)/options.c $(libsrcdir)/genlex.c $(libsrcdir)/gretl_commands.c
	$(CC) -c -I. -I$(libsrcdir) -I$(XML2_INC) $<

mklang.exe: mklang.o
	$(CC) -o $@ $< $(GRETLLIB) -lxml2.dll -lz

native_lang: mklang.exe
	PATH=/bin:./dlls:/mingw/winbuild/misc-dll ./mklang.exe > gretl.lang

gretl_updater.exe:
	make -C updater

$(MOFILES):
	make -C mo

dlls/libgretl.dll: $(LIBOBJ) $(MINOBJ) dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) \
	--output-def libgretl.def --implib $(imports)/libgretl.a \
	-o $@ $^ -lm -L$(imports) -lxml2.dll -lz -lintl -lprob -lgmp.dll \
	-lmingwex -lwsock32 $(GLIBLIB) $(LAPACK_LIBS) $(FFTW_LIBS) $(CURL_LIBS)

dlls/libprob.dll: $(PROBOBJ) dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) \
	--output-def libprob.def --implib $(imports)/libprob.a \
	-o $@ $^ 

plugins/stats_tables.dll: stats_tables.o dllinit.o 
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ -lz $(GRETLLIB)

plugins/range-mean.dll: range-mean.o dllinit.o 
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB)

plugins/fractals.dll: fractals.o dllinit.o 
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB)

plugins/poisson.dll: poisson.o dllinit.o 
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) -lprob

plugins/duration.dll: duration.o dllinit.o 
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB)

plugins/kernel.dll: kernel.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) 

plugins/vif.dll: vif.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) $(LAPACK_LIBS)

plugins/urcdist.dll: urcdist.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ -lz -lm -lintl $(GRETLLIB)

plugins/tramo-x12a.dll: tramo-x12a.o tramo_options.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) $(GTKLIBS)

plugins/progress_bar.dll: progress_bar.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GTKLIBS) -L$(imports) -lintl

plugins/gnumeric_import.dll: gnumeric_import.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ -L$(imports) -lxml2.dll \
	$(GRETLLIB) $(GTKLIBS)

plugins/ods_import.dll: ods_import.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ -L$(imports) -lxml2.dll \
	$(GRETLLIB) $(GTKLIBS)

plugins/xlsx_import.dll: xlsx_import.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ -L$(imports) -lxml2.dll \
	$(GRETLLIB) $(GTKLIBS)

plugins/excel_import.dll: excel_import.o workbook.o ms-ole.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) $(GTKLIBS) -lmoldname

plugins/eviews_import.dll: eviews_import.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB)

plugins/stata_import.dll: stata_import.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GLIBLIB) $(GRETLLIB)

plugins/spss_import.dll: spss_import.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GLIBLIB) $(GRETLLIB)

plugins/sas_import.dll: sas_import.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB)

plugins/jmulti_import.dll: jmulti_import.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB)

plugins/mp_ols.dll: mp_ols.o dllinit.o 
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) -lmpfr.dll -lgmp.dll

plugins/sysest.dll: sysest.o fiml.o liml.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) $(LAPACK_LIBS)

plugins/johansen.dll: johansen.o jrestrict.o jalpha.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) $(LAPACK_LIBS)

plugins/leverage.dll: leverage.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) $(GTKLIBS) $(LAPACK_LIBS)

plugins/pca.dll: pca.o dllinit.o
	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) $(GTKLIBS) $(LAPACK_LIBS)

=== win32/db/Makefile ===
topsrc = ../..

HOSTCC = gcc -Wall
BCIHDIR = $(topsrc)/share/bcih

vpath %.c $(BCIHDIR)

fedstl.bin: mkbin $(BCIHDIR)/fedstl.dat
	./mkbin $(BCIHDIR) 

mkbin: mkbin.c
	$(HOSTCC) -o $@ $<

clean:
	rm -f mkbin fedstl.bin

=== win32/updater/Makefile ===
# Makefile for cross-compiling gretl_updater for win32 on Linux,
# using mingw compiler

include ../config.mk

CC = $(MGW_PREFIX)gcc -O2 -Wall -mms-bitfields
CFLAGS = -I../../lib/src -I../../win32/updater
SRC = update_client.c gretl_www.c gretl_untar.c
OBJ = update_client.o 

LIBS = -lcurl.dll -lz -lwsock32

CFLAGS += $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) \
	pkg-config --cflags gtk+-win32-2.0)

vpath %.h ../../win32/updater ../../lib/src
vpath %.c ../../win32/updater ../../lib/src

gretl_updater.exe: $(OBJ) version.h
	 $(CC) -mwindows -s -o $@ $^ $(LIBS)

update_client.o: update_client.c gretl_www.c gretl_untar.c

.PHONY :

clean:
	rm -f *.o gretl_updater.exe

=== debian/changelog ===
gretl (1.9.14-2) unstable; urgency=low

  * debian/control: Renamed Depends: on ttf-freefont to fonts-freefont-ttf
  							(Closes: #738229)
  * debian/control: Also renamed Depends: on ttf-dejavu to fonts-dejavu

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 11 Feb 2014 06:18:57 -0600

gretl (1.9.14-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 21 Nov 2013 17:05:36 -0600

gretl (1.9.13-2) unstable; urgency=low

  * debian/rules: Expand use of autotools-dev to permit builds on AArch64
    with thanks to Matthias Klose			(Closes: #77881)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 27 Oct 2013 16:31:51 -0500

gretl (1.9.13-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Updated Build-Depends: on gmp to libgmp-dev
  * debian/control: Add autotools-dev to Build-Depends:
  * debian/rules: Set cflags, cppflags and ldflags via dpkg-buildflags

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 24 Oct 2013 16:37:11 -0500

=== debian/control ===
Source: gretl
Section: math
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 7.0.0), libgtk2.0-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot (>= 4.2), gnuplot-x11 (>= 4.2), libgmp-dev, libaudiofile-dev, libesd0-dev, libfreetype6-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev, libgtksourceview2.0-dev, libcurl4-gnutls-dev | libcurl4-dev, autotools-dev

Package: gretl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gretl-common (>= ${source:Version}), gnuplot (>= 4.2)
Recommends: gretl-data, gretl-doc
Description: GNU Regression, Econometric & Time-Series Library
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the GTK+ client and the command-line client.

Package: libgretl1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} 
Conflicts: libesl0, libgretl0
Replaces: libesl0, libgretl0
Description: GNU Regression, Econometric & Time-Series Library -- library package 
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the shared library.

Package: libgretl1-dev
Section: libdevel
Architecture: any
Depends: gretl, libgretl1 (= ${binary:Version}), ${misc:Depends}
Conflicts: libesl0-dev, libgretl0-dev
Replaces: libesl0-dev, libgretl0-dev
Description: GNU Regression, Econometric & Time-Series Library -- development package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the static library and header files.

Package: gretl-common
Section: math
Architecture: all
Suggests: gretl (>= ${source:Version})
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Depends: fonts-freefont-ttf, fonts-dejavu, ${misc:Depends}
Description: GNU Regression, Econometric & Time-Series Library -- scripts package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides scripts (included in the gretl sources) which are 
 used by the main gretl program.

Package: gretl-data
Section: math
Architecture: all
Depends: gretl (>= ${source:Version}), ${misc:Depends}
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Description: GNU Regression, Econometric & Time-Series Library -- data package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis. The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides data sets (included in the gretl sources) which are 
 used by the main gretl program.

Package: gretl-doc
Section: doc
Architecture: all
Recommends: gretl 
Depends: ${misc:Depends}
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Description: GNU Regression, Econometric & Time-Series Library -- doc package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides documentation and examples included in the gretl 
 sources.

=== debian/watch ===
version=3
http://sf.net/gretl/ gretl-(.+)\.tar\.bz2

## gretl 1.9.91

=== win32/Makefile ===
--- 
+++ 
@@ -27,30 +27,44 @@
 # libraries
 GTKLIBS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs gtk+-win32-2.0)
 GLIBLIB := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs glib-2.0)
-CLI_LIBS = -lreadline -lhistory
+JSON_LIB = $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs json-glib-1.0)
+RL_LIBS = -lreadline -lhistory
 GUI_LIBS = -lwsock32 -lole32 $(GTKLIBS) -lgtksourceview-2.0 -lxml2.dll -L$(imports)
 GRETLLIB = -L$(imports) -lgretl -lintl
 LIBS = -lm $(GRETLLIB) -ladvapi32
-LAPACK_LIBS = -llapack.dll -lblas.dll
 FFTW_LIBS = -lfftw3
 CURL_LIBS = -lcurl.dll
 
 # flags/defines
 CFLAGS = -I. -I$(libsrcdir) -I$(plugindir) -I$(guidir) -I$(zipdir) -I$(XML2_INC) $(RLIB_CFLAGS) 
-GTK_CFLAGS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --cflags gtk+-win32-2.0 gtksourceview-2.0)
+GTK_CFLAGS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --cflags gtk+-win32-2.0 gtksourceview-2.0 json-glib-1.0)
 
 ifeq ($(BUILDTYPE),cross)
   GRETL_LANG = cross_lang
+  GRETL_NEWS = cross_news
   BUILDDATE = cross_builddate
 else
   GRETL_LANG = native_lang
+  GRETL_NEWS = native_news
   BUILDDATE = native_builddate
+endif
+
+ifeq ($(have_mpi),yes)
+  MPICLI = gretlmpi.exe
+  MPI_LIB = -lmsmpi
+endif
+
+ifeq ($(use_openblas),yes)
+  LAPACK_LIBS = -lopenblas.dll
+else
+  LAPACK_LIBS = -llapack.dll -lblas.dll
 endif
 
 # source paths
 vpath %.c $(libsrcdir)
 vpath %.c $(topsrc)/cephes
 vpath %.c $(topsrc)/minpack
+vpath %.c $(topsrc)/dcmt
 vpath %.c $(topsrc)/cli
 vpath %.c $(guidir)
 vpath %.c $(plugindir)
@@ -155,7 +169,8 @@
 	plugins/interpolate.dll \
 	plugins/biprobit.dll \
 	plugins/reprobit.dll \
-	plugins/panurc.dll
+	plugins/panurc.dll \
+	plugins/json_get.dll
 
 LIBSRC = adf_kpss.c \
 	bhhh_max.c \
@@ -181,6 +196,7 @@
 	gensyntax.c \
         gmm.c \
 	graphing.c \
+	gretl_array.c \
 	gretl_bfgs.c \
 	gretl_bundle.c \
 	gretl_commands.c \
@@ -193,11 +209,13 @@
 	gretl_list.c \
 	gretl_matrix.c \
 	gretl_model.c \
+	gretl_normal.c \
 	gretl_panel.c \
 	gretl_paths.c \
 	gretl_prn.c \
 	gretl_restrict.c \
 	gretl_string_table.c \
+	gretl_typemap.c \
 	gretl_untar.c \
 	gretl_utils.c \
 	gretl_win32.c \
@@ -235,6 +253,10 @@
 	varprint.c \
 	vartest.c \
 	irfboot.c
+
+ifeq ($(have_mpi),yes)
+  LIBSRC += gretl_mpi.c
+endif
 
 LIBOBJ = $(LIBSRC:.c=.o)
 
@@ -306,6 +328,9 @@
 	qrfac.c qrsolv.c lbfgsb.c
 MINOBJ = $(MINSRC:.c=.o)
 
+DCMTSRC = check32.c eqdeg.c genmtrand.c mt19937.c prescr.c seive.c
+DCMTOBJ = $(DCMTSRC:.c=.o)
+
 OBJS = $(LIBOBJ) $(CLIOBJ) $(GUIOBJ) $(PLUGINOBJ)
 
 MOFILES = mo/de.po mo/el.mo mo/es.mo mo/eu.mo mo/fr.mo mo/it.mo mo/pl.mo \
@@ -318,10 +343,13 @@
 # targets begin
 
 all: buildstamp dirs dlls/libprob.dll dlls/libgretl.dll \
-	$(PLUGINS) gretlcli.exe gretl.exe $(MOFILES) $(GRETL_LANG) gretl_updater.exe
+	$(PLUGINS) gretlcli.exe gretl.exe $(MPICLI) $(MOFILES) $(GRETL_LANG) $(GRETL_NEWS)
 
 gretlcli.exe: $(CLIOBJ)
-	$(CC) -o $@ $^ $(LIBS) $(CLI_LIBS) -lz -lmingwex -s
+	$(CC) -o $@ $^ $(LIBS) $(RL_LIBS) -lz -lmingwex -s
+
+gretlmpi.exe: gretlcli-mpi.o
+	$(CC) -o $@ $< $(MPI_LIB) $(LIBS) -lz -lmingwex -s
 
 gretl.exe: $(GUIOBJ) gretlres.o
 	$(CC) -mwindows -o $@ $^ $(LIBS) $(GUI_LIBS) -lz -lmingwex -s
@@ -332,22 +360,28 @@
 cross_lang: $(libsrcdir)/options.c $(libsrcdir)/genlex.c $(libsrcdir)/gretl_commands.c
 	HERE=$$PWD ; cd $(host_builddir)/gui2 && make mklang && ./mklang > $$HERE/gretl.lang ; cd $$HERE
 
+cross_news: $(topsrc)/ChangeLog
+	HERE=$$PWD ; cd $(host_builddir)/gui2 && make mknews && cd $$HERE && $(topsrc)/build/gui2/mknews $< > NEWS
+
 mklang.o: mklang.c $(libsrcdir)/options.c $(libsrcdir)/genlex.c $(libsrcdir)/gretl_commands.c
 	$(CC) -c -I. -I$(libsrcdir) -I$(XML2_INC) $<
 
 mklang.exe: mklang.o
 	$(CC) -o $@ $< $(GRETLLIB) -lxml2.dll -lz
 
+mknews.exe: mknews.c
+	$(CC) -o $@ $<
+
 native_lang: mklang.exe
 	PATH=/bin:./dlls:/mingw/winbuild/misc-dll ./mklang.exe > gretl.lang
 
-gretl_updater.exe:
-	make -C updater
+native_news: mknews.exe
+	./mknews.exe $(topsrc)/ChangeLog > NEWS
 
 $(MOFILES):
 	make -C mo
 
-dlls/libgretl.dll: $(LIBOBJ) $(MINOBJ) dllinit.o
+dlls/libgretl.dll: $(LIBOBJ) $(MINOBJ) $(DCMTOBJ) dllinit.o
 	$(DLLWRAP) $(DLLWRAP_FLAGS) \
 	--output-def libgretl.def --implib $(imports)/libgretl.a \
 	-o $@ $^ -lm -L$(imports) -lxml2.dll -lz -lintl -lprob -lgmp.dll \
@@ -438,22 +472,3 @@
 	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB)
 
 plugins/mp_ols.dll: mp_ols.o dllinit.o 
-	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
-	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) -lmpfr.dll -lgmp.dll
-
-plugins/sysest.dll: sysest.o fiml.o liml.o dllinit.o
-	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
-	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) $(LAPACK_LIBS)
-
-plugins/johansen.dll: johansen.o jrestrict.o jalpha.o dllinit.o
-	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
-	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) $(LAPACK_LIBS)
-
-plugins/leverage.dll: leverage.o dllinit.o
-	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
-	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) $(GTKLIBS) $(LAPACK_LIBS)
-
-plugins/pca.dll: pca.o dllinit.o
-	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
-	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) $(GTKLIBS) $(LAPACK_LIBS)
-

=== debian/changelog ===
gretl (1.9.91-1) unstable; urgency=low

  * New upstream released
  
  * debian/control: Added 'libjson-glib-dev' to Build-Depends

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 28 Jul 2014 19:13:24 -0500

gretl (1.9.90-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 03 May 2014 07:31:28 -0500

gretl (1.9.14.1-1) unstable; urgency=low

  * cli/complete.c: Apply one-line patch for compilation under current
    readline, with thanks to upstream for the patch. 	(Closes: #741767)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 18 Mar 2014 12:07:08 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: math
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 7.0.0), libgtk2.0-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot (>= 4.2), gnuplot-x11 (>= 4.2), libgmp-dev, libaudiofile-dev, libesd0-dev, libfreetype6-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev, libgtksourceview2.0-dev, libcurl4-gnutls-dev | libcurl4-dev, autotools-dev
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 7.0.0), libgtk2.0-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot (>= 4.2), gnuplot-x11 (>= 4.2), libgmp-dev, libaudiofile-dev, libesd0-dev, libfreetype6-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev, libgtksourceview2.0-dev, libcurl4-gnutls-dev | libcurl4-dev, autotools-dev, libjson-glib-dev
 
 Package: gretl
 Architecture: any

## gretl 1.9.92

=== win32/Makefile ===
--- 
+++ 
@@ -206,6 +206,7 @@
 	gretl_foreign.c \
 	gretl_func.c \
 	gretl_intl.c \
+	gretl_help.c \
 	gretl_list.c \
 	gretl_matrix.c \
 	gretl_model.c \
@@ -471,4 +472,3 @@
 	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
 	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB)
 
-plugins/mp_ols.dll: mp_ols.o dllinit.o

=== debian/changelog ===
gretl (1.9.92-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Standard-Version: to current value

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 20 Sep 2014 12:06:46 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: math
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 7.0.0), libgtk2.0-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot (>= 4.2), gnuplot-x11 (>= 4.2), libgmp-dev, libaudiofile-dev, libesd0-dev, libfreetype6-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev, libgtksourceview2.0-dev, libcurl4-gnutls-dev | libcurl4-dev, autotools-dev, libjson-glib-dev
 
 Package: gretl

=== debian/rules ===
#!/usr/bin/make -f 					
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux gretl package
# Copyright 2000 - 2013 by Dirk Eddelbuettel <edd@debian.org>

package := $(shell head -1 debian/changelog | awk '{print $$1}')
sonum   := 1
libpack := libgretl$(sonum)
devpack := $(libpack)-dev
docpack := $(package)-doc
datpack := $(package)-data
compack := $(package)-common
srcver  := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f2 -d' ' | cut -f1 -d'-')
debtmp	:= $(CURDIR)/debian/$(package)

arch 	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

cppflags  = $(shell dpkg-buildflags --get CPPFLAGS)
cflags    = $(shell dpkg-buildflags --get CFLAGS)
ldflags   = $(shell dpkg-buildflags --get LDFLAGS)

## edd 09 Feb 2003      no optimisation or debugging on m68k
ifneq "$(findstring $(arch), m68k-linux arm-linux)" ""
cflags	= -O0 -g0 -Wall
endif

#export DH_VERBOSE=1

upstream: get-orig-source
get-orig-source:
        # lynx http://gretl.sourceforge.net
        # lynx http://unc.dl.sourceforge.net/sourceforge/gretl
	links http://prdownloads.sourceforge.net/gretl
        # links http://twtelecom.dl.sourceforge.net/sourceforge/gretl

configure: configure-stamp
configure-stamp:
	dh_testdir
	dh_autotools-dev_updateconfig
	DISPLAY="foo" 					\
	./configure	--prefix=/usr			\
			--with-gnome-install=/usr	\
			--without-gnome			\
			--with-mpfr 			\
			--without-gtksourceview		\
			--with-x-12-arima		\
			--with-tramo-seats		\
			--with-libR			\
			--with-odbc			\
			--enable-static			\
			--enable-shared			\
			--enable-gtk2			\
			--disable-rpath			\
			--disable-sse2			\
			--disable-xdg-utils		\
			--build $(arch)
	touch configure-stamp

## edd 02 May 2010  these are now implicit and/or obsolete
#   --with-lapack			
#   --with-gtk2			
#   --without-libole2		
#  --without-gtkextra		
#
# edd 12 Mar 2011   cannot buikd wuth this
#			--disable-sse2			

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) CC=gcc \
		CFLAGS="$(cflags) -D_REENTRANT" \
		CPPFLAGS="$(cppflags)" \
		LDFLAGS="$(ldflags)"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	-(cd gui && make cleanall)
	-find . -name \*.o -type f | xargs rm -vf 
	dh_autotools-dev_restoreconfig	
	dh_clean build-stamp install-stamp configure-stamp check-stamp

check: build check-stamp
check-stamp:
	-$(MAKE) check
	touch check-stamp

install: build check install-stamp 
install-stamp: 
	$(MAKE) -f debian/rules DH_OPTIONS= install-work
install-work:
	dh_testdir
	dh_testroot
        #dh_clean -k
	dh_prep
	dh_installdirs	
	dh_installdirs -p$(package) 	usr/share/gnome/apps/Applications \
					usr/share/applications \
					usr/share/mime-info \
					usr/share/pixmaps 
	$(MAKE) prefix=$(debtmp)/usr 			\
		gnome_prefix=$(debtmp)/usr 		\
		mandir=$(debtmp)/usr/share/man		install
#	(cd gnome && $(MAKE) prefix=$(debtmp)/usr 	\
#		gnome_prefix=$(debtmp)/usr 		\
#		mandir=$(debtmp)/usr/share/man		install-misc )

        #	infodir=$(debtmp)/usr/share/info	\
        # dh_undocumented		gretl.1 gretlcli.1 gretl_x11.1

        # clean extra COPYING file
	(cd $(debtmp)/usr/share/$(package); \
		ln -svf ../common-licenses/GPL COPYING)

        ## this seems to have been forgotten at install time (version 1.1.0)
        ## gretl 1.8.7 no longer has it
        #chmod 755 gretl-config
        #cp -vax gretl-config debian/gretl/usr/bin

        ## Bug#400405 to get pixmap into desktop menu (also dh_movefiles)
	cp -vax pixmaps/gretl.xpm debian/gretl/usr/share/pixmaps

        # move static libs into dev-package  and binaries into bin package
	dh_movefiles 	--sourcedir=debian/$(package) -p$(devpack) 
	dh_movefiles 	--sourcedir=debian/$(package) -p$(libpack)
        # move docs
        ## dh_movefiles 	--sourcedir=debian/$(package) -p$(docpack)

        # move common and data package files
	dh_movefiles 		--sourcedir=debian/$(package) -p$(datpack)
	dh_movefiles 		--sourcedir=debian/$(package) -p$(compack)
	dh_installdocs 		-p$(compack)	
	dh_installdocs		-p$(docpack) 	README* doc/
	dh_installexamples      -p$(docpack)	utils/ extra/
        #dh_movefiles 		--sourcedir=debian/$(package) -p$(docpack)

        # edd 19 Mar 2009  remove fonts deemed non-free
	rm -vrf debian/$(compack)/usr/share/gretl/fonts

        # edd 26 Dec 2007  some lintian silencers
#	for p in $(package) $(libpack) $(compack); do \
#		dh_installdirs -p$$p usr/share/lintian/overrides; \
#		install -v -c -m 0644 debian/$$p.overrides \
#		   $(CURDIR)/debian/$$p/usr/share/lintian/overrides/$$p; \
#		done
	dh_lintian

        # edd 23 Apr 2011
        # empty dependency_lib in .la files (cf #621213)	
	find debian/$(package) -name \*.la | \
		xargs perl -p -i -e "s/dependency_libs='.*'/dependency_libs=''/" 
	find debian/$(libpack) -name \*.la | \
		xargs perl -p -i -e "s/dependency_libs='.*'/dependency_libs=''/" 

	touch install-stamp

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common: build check install 
	dh_testdir
	dh_testroot
        #dh_installdebconf
	dh_link			
	dh_installdocs -a	
	(cd $(debtmp)/usr/share/$(package); 		\
		ln -s ../doc/$(docpack)/doc . ; 	\
		ln -s ../doc/$(docpack)/examples . 	 )
        #dh_installexamples      
        #dh_installmenu
        #dh_installemacsen
        #dh_installpam
        #dh_installinit
        #dh_installcron
        #dh_installman		gretl.1
        #dh_installinfo
        #dh_undocumented
	dh_installchangelogs			ChangeLog
	dh_compress
	dh_fixperms
	dh_strip
        #dh_suidregister
        #echo "libgretl-1.0 0 libgretl1 (>= ${srcver})" \
        #	> debian/$(libpack).shlibs
#	dh_makeshlibs 	-V -p$(package) -p$(devpack) -p$(libpack)
	dh_makeshlibs 	-V -n -p$(devpack) 
	dh_makeshlibs 	-p$(libpack)
	dh_installdeb
#	dh_desktop 	-p$(compack)
        #dh_perl
	dh_shlibdeps	-l debian/$(libpack)/usr/lib/ 
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build install
	#$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
	dh_testdir -i
	dh_testroot -i
	dh_link -i			
	dh_installchangelogs -i
        #dh_installdocs -i
        #dh_installexamples -i
#	dh_installmenu -i
#	dh_installdebconf -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installcatalogs -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installman -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
#	dh_perl -i
#	dh_python -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture dependant packages using the common target.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	make -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## gretl 1.10.1

=== win32/Makefile ===
--- 
+++ 
@@ -213,6 +213,7 @@
 	gretl_normal.c \
 	gretl_panel.c \
 	gretl_paths.c \
+	gretl_plot.c \
 	gretl_prn.c \
 	gretl_restrict.c \
 	gretl_string_table.c \

=== debian/changelog ===
gretl (1.10.1-2) unstable; urgency=low

  * debian/rules: Added '--disable-avx' following suggestion by Allin;
    also removed a few unused configure switches due to older versions

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 09 Apr 2015 11:16:11 -0500

gretl (1.10.1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 08 Apr 2015 22:16:35 -0500

## gretl 2016a

=== win32/Makefile ===
--- 
+++ 
@@ -85,6 +85,7 @@
 	gnumeric_import.c \
 	eviews_import.c \
 	stata_import.c \
+	stata_export.c \
 	spss_import.c \
 	sas_import.c \
 	jmulti_import.c \
@@ -141,6 +142,7 @@
 	plugins/sas_import.dll \
 	plugins/jmulti_import.dll \
 	plugins/ods_import.dll \
+	plugins/stata_export.dll \
 	plugins/mp_ols.dll \
 	plugins/sysest.dll \
 	plugins/johansen.dll \
@@ -281,6 +283,7 @@
 	filters.c \
 	fncall.c \
 	fnsave.c \
+	gfn_arglists.c \
 	gpt_control.c \
 	gpt_dialog.c \
 	graphics.c \
@@ -461,15 +464,12 @@
 	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
 	--implib plugins/$(<:.o=.a) $^ $(GLIBLIB) $(GRETLLIB)
 
+plugins/stata_export.dll: stata_export.o dllinit.o
+	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
+	--implib plugins/$(<:.o=.a) $^ $(GLIBLIB) $(GRETLLIB)
+
 plugins/spss_import.dll: spss_import.o dllinit.o
 	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
 	--implib plugins/$(<:.o=.a) $^ $(GLIBLIB) $(GRETLLIB)
 
 plugins/sas_import.dll: sas_import.o dllinit.o
-	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
-	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB)
-
-plugins/jmulti_import.dll: jmulti_import.o dllinit.o
-	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
-	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB)
-

=== tests/rng/Makefile ===
CC = gcc -Wall -O2 -msse2
TESTU01_CFLAGS = -I/usr/include/TestU01
TESTU01_LIB = -ltestu01

# you shouldn't have to edit below here

CFLAGS = `pkg-config --cflags glib-2.0 gretl`
LIBS = `pkg-config --libs glib-2.0 gretl`

gretltest: gretltest.c
	$(CC) $(TESTU01_CFLAGS) $(CFLAGS) -o $@ $< $(TESTU01_LIB) $(LIBS)

clean:
	rm -f gretltest

=== win32/mo/Makefile ===
include ../config.mk

LANGS = $(shell cat ../../po/LINGUAS | grep -v \\\#)
MO = $(LANGS:=.mo)

vpath %.po ../../po

%.mo: %.po
	$(WIN32_MSGFMT) -o $@ $<

all: $(MO)

clean:
	rm -f *.mo

=== win32/windist/Makefile ===
HOSTCC = gcc -Wall

include ../config.mk

ifeq ($(BUILDTYPE),cross)
  DOIT = ./make_iss < MANIFEST | todos
else
  DOIT = ./make_iss < MANIFEST
endif

gretl.iss: make_iss MANIFEST
	$(DOIT) > gretl.iss

make_iss: make_iss.c
	$(HOSTCC) -o $@ $< 

versiondiff: versiondiff.c
	$(HOSTCC) -o $@ $< 

clean:
	rm -rf ./gretl 
	rm -f errlog Output/*

=== debian/changelog ===
gretl (2016a-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 26 Jan 2016 19:28:45 -0600

gretl (2015d-1) unstable; urgency=low

  * New upstream release (under new versioning scheme)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 17 Nov 2015 06:47:37 -0600

gretl (1.10.2-1) unstable; urgency=low

  * debian/control: Added Homepage: field		(Closes: #782036)

  * debian/watch: Updated regular expression
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 18 Sep 2015 22:47:45 -0500

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 7.0.0), libgtk2.0-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot (>= 4.2), gnuplot-x11 (>= 4.2), libgmp-dev, libaudiofile-dev, libesd0-dev, libfreetype6-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev, libgtksourceview2.0-dev, libcurl4-gnutls-dev | libcurl4-dev, autotools-dev, libjson-glib-dev
+Homepage: http://gretl.sourceforge.net/
 
 Package: gretl
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -39,10 +39,7 @@
 	dh_autotools-dev_updateconfig
 	DISPLAY="foo" 					\
 	./configure	--prefix=/usr			\
-			--with-gnome-install=/usr	\
-			--without-gnome			\
 			--with-mpfr 			\
-			--without-gtksourceview		\
 			--with-x-12-arima		\
 			--with-tramo-seats		\
 			--with-libR			\
@@ -52,6 +49,7 @@
 			--enable-gtk2			\
 			--disable-rpath			\
 			--disable-sse2			\
+			--disable-avx			\
 			--disable-xdg-utils		\
 			--build $(arch)
 	touch configure-stamp

## gretl 2016c

=== win32/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 GLIBLIB := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs glib-2.0)
 JSON_LIB = $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs json-glib-1.0)
 RL_LIBS = -lreadline -lhistory
-GUI_LIBS = -lwsock32 -lole32 $(GTKLIBS) -lgtksourceview-2.0 -lxml2.dll -L$(imports)
+GUI_LIBS = -lwsock32 -lole32 -lshlwapi $(GTKLIBS) -lgtksourceview-2.0 -lxml2.dll -L$(imports)
 GRETLLIB = -L$(imports) -lgretl -lintl
 LIBS = -lm $(GRETLLIB) -ladvapi32
 FFTW_LIBS = -lfftw3
@@ -295,6 +295,7 @@
 	gui_recode.c \
 	gui_utils.c \
 	helpfiles.c \
+	join-gui.c \
 	lagpref.c \
 	library.c \
 	menustate.c \

=== debian/changelog ===
gretl (2016c-2build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:03:39 +0000

gretl (2016c-2) unstable; urgency=medium

  * debian/patches/reproducible_build.patch: Added patch kindly supplied
    by Chris Lamb to help with reproducible builds	(Closes: #831044)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 13 Jul 2016 21:05:08 -0500

gretl (2016c-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standard-Version: to current value

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 09 Jul 2016 18:05:57 -0500

gretl (2016b-3) unstable; urgency=medium

  * debian/control: Revert Build-Depends: to gnulot-x11 per request of Anton

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 14 Jun 2016 19:43:58 -0500

gretl (2016b-2) unstable; urgency=medium

  * debian/control: Update Build-Depends: to gnulot5-x11 (Closes: #825306)

  * debian/control: Set Standard-Version: to current value

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 25 May 2016 19:28:34 -0500

gretl (2016b-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 20 Apr 2016 21:02:28 -0500

## gretl 2016d

=== win32/Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 GTKLIBS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs gtk+-win32-2.0)
 GLIBLIB := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs glib-2.0)
 JSON_LIB = $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs json-glib-1.0)
-RL_LIBS = -lreadline -lhistory
+RL_LIBS = -lreadline
 GUI_LIBS = -lwsock32 -lole32 -lshlwapi $(GTKLIBS) -lgtksourceview-2.0 -lxml2.dll -L$(imports)
 GRETLLIB = -L$(imports) -lgretl -lintl
 LIBS = -lm $(GRETLLIB) -ladvapi32
@@ -211,6 +211,7 @@
 	gretl_help.c \
 	gretl_list.c \
 	gretl_matrix.c \
+	gretl_midas.c \
 	gretl_model.c \
 	gretl_normal.c \
 	gretl_panel.c \
@@ -330,7 +331,7 @@
 
 PROBOBJ = $(PROBSRC:.c=.o)
 
-MINSRC = chkder.c enorm.c fdjac2.c lmder1.c lmder.c lmdif.c lmpar.c \
+MINSRC = chkder.c enorm.c fdjac2.c lmder.c lmdif.c lmpar.c \
 	qrfac.c qrsolv.c lbfgsb.c
 MINOBJ = $(MINSRC:.c=.o)

=== debian/changelog ===
gretl (2016d-1) unstable; urgency=medium

  * New upstream release

  * debian/patches/series: Removed entry for reproducible_build.patch by
    Chris which has been integrated upstream
    
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 19 Nov 2016 13:50:50 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: math
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 7.0.0), libgtk2.0-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot (>= 4.2), gnuplot-x11 (>= 4.2), libgmp-dev, libaudiofile-dev, libesd0-dev, libfreetype6-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev, libgtksourceview2.0-dev, libcurl4-gnutls-dev | libcurl4-dev, autotools-dev, libjson-glib-dev
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 7.0.0), libgtk2.0-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot-x11, libgmp-dev, libaudiofile-dev, libesd0-dev, libfreetype6-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev, libgtksourceview2.0-dev, libcurl4-gnutls-dev | libcurl4-dev, autotools-dev, libjson-glib-dev
 Homepage: http://gretl.sourceforge.net/
 
 Package: gretl

## gretl 2017c

=== win32/Makefile ===
--- 
+++ 
@@ -172,7 +172,8 @@
 	plugins/biprobit.dll \
 	plugins/reprobit.dll \
 	plugins/panurc.dll \
-	plugins/json_get.dll
+	plugins/json_get.dll \
+	plugins/xml_get.dll
 
 LIBSRC = adf_kpss.c \
 	bhhh_max.c \
@@ -204,7 +205,7 @@
 	gretl_commands.c \
 	gretl_data_io.c \
 	gretl_errors.c \
-	gretl_fft.c \
+	gretl_cmatrix.c \
 	gretl_foreign.c \
 	gretl_func.c \
 	gretl_intl.c \
@@ -474,4 +475,3 @@
 	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
 	--implib plugins/$(<:.o=.a) $^ $(GLIBLIB) $(GRETLLIB)
 
-plugins/sas_import.dll: sas_import.o dllinit.o

=== debian/changelog ===
gretl (2017c-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 18 Jul 2017 13:01:12 -0500

gretl (2017b-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 07 Jun 2017 14:56:04 -0500

gretl (2017a-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 16 Apr 2017 16:15:46 -0500

gretl (2016d-2) unstable; urgency=medium

  * debian/control: Remove (Build-)Depends on 'libaudiofile-dev, libesd0-dev'
    (Closes: #856081)
    
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 08 Mar 2017 04:29:50 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 7.0.0), libgtk2.0-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot-x11, libgmp-dev, libaudiofile-dev, libesd0-dev, libfreetype6-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev, libgtksourceview2.0-dev, libcurl4-gnutls-dev | libcurl4-dev, autotools-dev, libjson-glib-dev
+Build-Depends: debhelper (>= 7.0.0), libgtk2.0-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot-x11, libgmp-dev, libfreetype6-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev, libgtksourceview2.0-dev, libcurl4-gnutls-dev | libcurl4-dev, autotools-dev, libjson-glib-dev
 Homepage: http://gretl.sourceforge.net/
 
 Package: gretl

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,6 @@
 	dh_autotools-dev_updateconfig
 	DISPLAY="foo" 					\
 	./configure	--prefix=/usr			\
-			--with-mpfr 			\
 			--with-x-12-arima		\
 			--with-tramo-seats		\
 			--with-libR			\
@@ -61,7 +60,9 @@
 #  --without-gtkextra		
 #
 # edd 12 Mar 2011   cannot buikd wuth this
-#			--disable-sse2			
+#			--disable-sse2
+# edd 11 Jun 2017
+#			--with-mpfr 			
 
 build: build-arch build-indep
 build-arch: build-stamp
@@ -101,7 +102,7 @@
 					usr/share/applications \
 					usr/share/mime-info \
 					usr/share/pixmaps 
-	$(MAKE) prefix=$(debtmp)/usr 			\
+	-$(MAKE) prefix=$(debtmp)/usr 			\
 		gnome_prefix=$(debtmp)/usr 		\
 		mandir=$(debtmp)/usr/share/man		install
 #	(cd gnome && $(MAKE) prefix=$(debtmp)/usr 	\

## gretl 2017d

=== debian/changelog ===
gretl (2017d-3build1) bionic; urgency=medium

  * No-change rebuild for mpfr soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 24 Jan 2018 21:23:34 +0000

gretl (2017d-3) unstable; urgency=medium

  * debian/rules: No longer set '--enable-gtk2' in configure call
  * debian/control: Update Build-Depends: to libgtk-3-dev and
    libgtksourceview-3.0-dev				(Closes: #885680)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 30 Dec 2017 10:42:53 -0600

gretl (2017d-2) unstable; urgency=medium

  * debian/control: Add 'mpi-default-dev, mpi-default-bin, pkg-config' to
    Build-Depends
  * configure: Applied upstream patch

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 27 Nov 2017 17:13:51 -0600

gretl (2017d-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standard-Version: to current value

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 13 Nov 2017 19:36:31 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: math
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 7.0.0), libgtk2.0-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot-x11, libgmp-dev, libfreetype6-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev, libgtksourceview2.0-dev, libcurl4-gnutls-dev | libcurl4-dev, autotools-dev, libjson-glib-dev
+Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 7.0.0), libgtk-3-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot-x11, libgmp-dev, libfreetype6-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev, libgtksourceview-3.0-dev, libcurl4-gnutls-dev | libcurl4-dev, autotools-dev, libjson-glib-dev, mpi-default-dev, mpi-default-bin
 Homepage: http://gretl.sourceforge.net/
 
 Package: gretl

=== debian/rules ===
--- 
+++ 
@@ -43,9 +43,9 @@
 			--with-tramo-seats		\
 			--with-libR			\
 			--with-odbc			\
+			--with-mpi           		\
 			--enable-static			\
 			--enable-shared			\
-			--enable-gtk2			\
 			--disable-rpath			\
 			--disable-sse2			\
 			--disable-avx			\
